Get single fact-find submissions Run in API Explorer
Ask AI
GET
/api/v2/fact-find-public/submissions/{factFindSession_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v2/fact-find-public/submissions/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"uuid": "34f1680f-7dac-43f7-a0b6-7fea2f3d447d",
"created_at": "2026-03-24T12:19:10+00:00",
"updated_at": "2026-03-24T12:19:10+00:00",
"fact_find_answers": {
"block": "The Block enum the question belongs to",
"answer": "Stored Answer (if any)",
"previous_value": "Extracted previous value from account or block even if no question exists",
"fact_find_question": {
"uuid": {
"example": "5b984f55-7e18-4a05-9c21-6974f80db5e9",
"collection": false,
"description": "The UUID of the resource."
},
"position": {
"example": "Position",
"collection": false,
"description": "The position/order of this question within the block."
},
"created_at": {
"example": "2026-03-24T12:19:10+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"field_name": {
"example": "Field Name",
"collection": false,
"description": "The name of the field."
},
"is_visible": {
"example": "Is Visible",
"collection": false,
"description": "Bool to indicate if the question is visible."
},
"updated_at": {
"example": "2026-03-24T12:19:10+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"is_required": {
"example": "Is Required",
"collection": false,
"description": "Bool to indicate if the question is required."
},
"condition_type": {
"example": "Condition Type",
"collection": false,
"description": "ALL/ANY."
},
"has_conditional": {
"example": "Has Condition",
"collection": false,
"description": "Bool to indicate if the question has any conditions."
}
}
}
}